Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 06-11-2017 13:17:41

bore
Membre
Distrib. : Debian 9 (Stretch)
Noyau : GNU/Linux 4.9.0-3-amd64
Inscription : 05-07-2017

[Résolu] Problème avec le navigateur Opera

Bonjour.
J'ai téléchargé Opera deux fois, une avec deb et l'autre avec rpm via le site oficiel d'Opera.
J'ai bien extrait le fichier, mais je ne trouve pas Opera dans "Internet" et nul part ailleurs pour le lancer.
J'ai bien tous les fichiers. Je vous montre ceux de deb:

ls
control         data         debian-binary
control.tar.gz  data.tar.xz  opera-stable_45.0.2552.898_i386.deb
 



Comme vous le constatez, j'ai bien extrais le fichier: opera-stable_45.0.2552.898_i386.deb

Y aurait il une autre action a faire pour pouvoir lancer Opera ou ai-je mal extrait?

Merci.

Dernière modification par bore (09-11-2017 17:59:28)

Hors ligne

#2 06-11-2017 13:27:04

Frosch
Adhérent(e)
Lieu : Fabrique de chocolat
Distrib. : openSUSE Leap
Noyau : Linux 4.4
(G)UI : Plasma 5.8
Inscription : 09-12-2015
Site Web

Re : [Résolu] Problème avec le navigateur Opera

Il faut pas extraire le .deb, il faut l'installer.

dpkg -i opera-stable_45.0.2552.898_i386.deb


Schokolade ist keine Lüge.
kde_userbar.gif

Hors ligne

#3 06-11-2017 13:57:14

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Problème avec le navigateur Opera

je ne sais pas si c'est toujours valable: https://wiki.debian.org/Opera

Hors ligne

#4 06-11-2017 15:55:00

tophechris94
Membre
Lieu : val de marne ( 94)
Distrib. : kali / kissOs
Noyau : Linux 4.9.0
(G)UI : openbox / lxde / fluxbox / etc....
Inscription : 08-07-2016
Site Web

Re : [Résolu] Problème avec le navigateur Opera

Salut  a tous ,  si tu veux installer opera en deb  utilise gdebi .
1509976465-capture-du-2017-11-06-14-53-46.png

Dernière modification par tophechris94 (06-11-2017 15:55:24)


1480082419.gif
https://arpinux.org ☯  La logique est la base de tous ☯

Hors ligne

#5 06-11-2017 16:24:24

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu] Problème avec le navigateur Opera

Salut
Je serais + d'avis de mettre le dépôt pour opéra comme sur le lien de nlQnutn ,pour pouvoir avoir les mises a jour de sécurité
En s'inspirant du wiki Debian
Tu peux ajouter le dépôt pour opéra a la suite dans ton fichier sources.list

echo deb http://deb.opera.com/opera-stable/ stable non-free | tee -a /etc/apt/sources.list


voir

man tee

si tu veux + d'info
-----------------------------------------------

apt-get update


wget -O - http://deb.opera.com/archive.key | apt-key add -


apt-get update


apt-get upgrade


apt-get install opera-stable



Edit : correction installation paquet opera-stable

Dernière modification par Croutons (07-11-2017 19:47:52)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#6 06-11-2017 21:18:28

fiche
Membre
Lieu : Paris
Distrib. : Debian Testing
Noyau : Linux 4.11.0-1-686-pae
(G)UI : Xfce
Inscription : 11-07-2016

Re : [Résolu] Problème avec le navigateur Opera

Bonsoir,
Pour information, lorsque l'on installe Opéra à partir du .deb avec Gdebi, au cours de l'installation, il est demandé si l'on souhaite ajouter le dépôt Opéra pour les mises à jours futures. Si l'on accepte, le fichier sources.list est modifié directement.

Hors ligne

#7 07-11-2017 17:25:40

bore
Membre
Distrib. : Debian 9 (Stretch)
Noyau : GNU/Linux 4.9.0-3-amd64
Inscription : 05-07-2017

Re : [Résolu] Problème avec le navigateur Opera

Merci à tous.

J’ai fait avec dpkg et voici la réponse :

# dpkg -i opera-stable_45.0.2552.898_i386.deb
dpkg: erreur de traitement de l'archive opera-stable_45.0.2552.898_i386.deb (--install) :
 l'architecture du paquet (i386) ne correspond pas à celle du système (amd64)
Des erreurs ont été rencontrées pendant l'exécution :
 opera-stable_45.0.2552.898_i386.deb




J’ai installé Gdebi et essayé, je n’y arrive pas.



J’ai passé toutes les commande de Crouton (qui correspond au lien officiel Debian avec un plus) et voici la réponse :
#

apt-get install opera


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 opera : Dépend: libgstreamer-plugins-base0.10-0 (>= 0.10.16) mais il n'est pas installable
         Dépend: libgstreamer0.10-0 (>= 0.10.15) mais il n'est pas installable
         Dépend: gstreamer0.10-plugins-good mais il n'est pas installable
         Recommande: flashplugin-nonfree mais il n'est pas installable
         Recommande: cups-client mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».



Edit à toto :

Mis la balise Commande root du forum pour la commande root install...

Hors ligne

#8 07-11-2017 17:39:54

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Problème avec le navigateur Opera

Afin de nous permettre de vous communiquer les meilleurs réponses, ou d'entendre au mieux tes interventions, il est bon de renseigner de manière permanente sous ton avatar la configuration du (des) PC que tu utilises.
Voir le tuto : Trop cool d'indiquer son installation dans son profil ! smile

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#9 07-11-2017 17:48:56

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu] Problème avec le navigateur Opera

Bonjour
pourrais tu nous donner le contenu de ton sources.list

cat /etc/apt/sources.list


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#10 07-11-2017 19:11:54

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problème avec le navigateur Opera

Bonsir,

bore a écrit :

l'architecture du paquet (i386) ne correspond pas à celle du système (amd64)


Ici pour la tentative avec dpkg tu n'avais pas téléchargé la bonne version du paquet : ton système est avec l'architecture amd64 et le paquet i386

En plus du sources.list demandé par Croutons, que retourne

ls /etc/apt/sources.list.d



libgstreamer-plugins-base0.10-0, libgstreamer0.10-0 et gstreamer0.10-plugins-good sont des paquets de Jessie qui ne sont plus dans Stretch

Hors ligne

#11 07-11-2017 19:46:20

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu] Problème avec le navigateur Opera

Bonjour
Les info du wiki sont plus a jour
d'apres le site opéra le paquet a installer

apt-get install opera-stable


Voila j'espère que cela résoudra le problème smile
Source : http://deb.opera.com/manual.html


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#12 07-11-2017 21:38:31

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Problème avec le navigateur Opera

merci pour les infos.
j'ai créé une page dans le wiki: https://debian-facile.org/doc:reseau:opera
pour le moment, il n'y a que le strict minimum. n'hésitez pas à compléter big_smile

Hors ligne

#13 07-11-2017 21:51:55

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problème avec le navigateur Opera

C’est bizarre, quand j’ai fait le test sur mon PC j’ai eu un lien vers une version amd64
Je pense que le site détecte le système ? Le fichier est téléchargé dans le dossier Téléchargements

Hors ligne

#14 07-11-2017 21:59:42

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Problème avec le navigateur Opera

oui, c'est de la merde ce site.
il se base sur l'UA du navigateur, du coup, il me renvoie n'importe quoi et pas moyen de choisir un paquet correspondant et surtout l'architecture. Vive le progrès.

après, c'est à toi de voir où tu télécharges le paquet.

heureusement, on peut passer par:
https://deb.opera.com/opera-stable/pool … ra-stable/

Hors ligne

#15 07-11-2017 22:05:47

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problème avec le navigateur Opera

C’est pas si évident à trouver ton dernier lien
Quand on va sur le site, un clic sur le bouton téléchargement ouvre tout de suite une fenêtre pour télécharger le fichier.
Je n’ai pas donné suite, je me contente de firefox

Hors ligne

#16 07-11-2017 22:21:45

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Problème avec le navigateur Opera

s'il y a un dépôt, il y a de l'espoir big_smile
c'est vrai que ce navigateur ne m'inspire pas confiance.

Hors ligne

#17 08-11-2017 10:13:56

bore
Membre
Distrib. : Debian 9 (Stretch)
Noyau : GNU/Linux 4.9.0-3-amd64
Inscription : 05-07-2017

Re : [Résolu] Problème avec le navigateur Opera

Salut !
J’ai mit les infos de ma machine smolski.
C’est vrai que c’est plus pratique pour les intervenants.

chalu, pour "libgstreamer-plugins-base0.10-0, libgstreamer0.10-0 et gstreamer0.10-plugins-good sont des paquets de Jessie qui ne sont plus dans Stretch"
Je ne sais pas d'où ça vient, car j'ai installé sur mon PC Stretch directement. Je pense que cela vient de la commande obsolète "apt-get install opera"


Le retour de cat /etc/apt/sources.list

~$ cat /etc/apt/sources.list
# deb http://ftp.fr.debian.org/debian/ stretch main

deb http://ftp.fr.debian.org/debian/ stretch main non-free contrib
deb-src http://ftp.fr.debian.org/debian/ stretch main non-free contrib

deb http://security.debian.org/debian-security stretch/updates main contrib non-free
deb-src http://security.debian.org/debian-security stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ stretch-updates main contrib non-free
deb http://deb.opera.com/opera-stable/ stable non-free



J'ai refait toutes les commandes que tu m'avais mit, crouton, et avec "apt-get install opera-stable" Opera s'est bien installé :-)

Par contre, j'arrive bien à le lancer avec le terminal en tapant "opera", mais je ne le trouve nul part dans l’environnement graphique.
Devrais-je le lancer toujours par le terminal ou y a t’il une astuce pour en faire un icône ou le rentrer dans la liste des Applications ?


Merci à tous.

Hors ligne

#18 08-11-2017 10:55:02

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu] Problème avec le navigateur Opera

Bonjour
Je viens de regarder les fichiers installé via GDebi, il y a bien une entrée pour le fichier opera.desktop

cat /usr/share/applications/opera.desktop


[Desktop Entry]
Version=1.0
Name=Opera
GenericName=Web browser
Comment=Fast and secure web browser
TryExec=opera
Exec=opera %U
Terminal=false
Icon=opera
Type=Application
Categories=Network;WebBrowser;
MimeType=text/html;text/xml;application/xhtml_xml;x-scheme-handler/http;x-scheme-handler/https;x-scheme-handler/ftp;application/x-opera-download;
Actions=NewWindow;NewPrivateWindow;

[Desktop Action NewWindow]
Name=New Window
Exec=opera --new-window
TargetEnvironment=Unity

[Desktop Action NewPrivateWindow]
Name=New Private Window
Exec=opera --private
TargetEnvironment=Unity



Regarde, l’icône de lancement devrait apparaître dans la catégorie du menu internet, éventuellement redémarre le PC


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

En ligne

#19 09-11-2017 17:58:31

bore
Membre
Distrib. : Debian 9 (Stretch)
Noyau : GNU/Linux 4.9.0-3-amd64
Inscription : 05-07-2017

Re : [Résolu] Problème avec le navigateur Opera

Merci Croutons.

J'arrivais à lancer Opera avec le terminal seulement, puis comme tu l'as dit, en redémarrant le PC, l'icône est apparu dans > Applications > Internet

A+

Hors ligne

Pied de page des forums